<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:overScrollMode="never">

    <LinearLayout
        android:id="@+id/settingContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <include
            android:id="@+id/securityItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            layout="@layout/layout_setting_item" />

        <include
            android:id="@+id/systemDarkModeItem"
            layout="@layout/layout_setting_item"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp" />

        <include
            android:id="@+id/videoItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            layout="@layout/layout_setting_item" />

        <include layout="@layout/piece_setting_divider" />

        <include
            android:id="@+id/languageItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            layout="@layout/layout_setting_item" />

        <include layout="@layout/piece_setting_divider" />

        <include
            android:id="@+id/gameDownloadItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            layout="@layout/layout_setting_item" />

        <include layout="@layout/piece_setting_divider" />

        <include
            android:id="@+id/gameSubmissionItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            layout="@layout/layout_setting_item" />

        <LinearLayout
            android:id="@+id/installMethodContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:orientation="vertical">

            <include layout="@layout/piece_setting_divider" />

            <include
                android:id="@+id/installMethodItem"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                layout="@layout/layout_setting_item" />
        </LinearLayout>

        <include
            android:id="@+id/usageStatsItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            layout="@layout/layout_setting_item" />

        <include layout="@layout/piece_setting_divider" />

        <include
            android:id="@+id/wechatRemindItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            layout="@layout/layout_setting_item" />

        <include layout="@layout/piece_setting_divider" />

        <include
            android:id="@+id/notificationAuthorityItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            layout="@layout/layout_setting_item" />

        <include layout="@layout/piece_setting_divider" />

        <include
            android:id="@+id/personalRecommendItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            layout="@layout/layout_setting_item" />

        <include
            android:id="@+id/aboutItem"
            layout="@layout/layout_setting_item"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp" />

        <include
            android:id="@+id/cacheItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            layout="@layout/layout_setting_item" />

        <include layout="@layout/piece_setting_divider" />

        <include
            android:id="@+id/networkDiagnosisItem"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            layout="@layout/layout_setting_item" />

        <TextView
            android:id="@+id/setting_logout"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="48dp"
            android:background="@drawable/reuse_listview_item_style"
            android:gravity="center"
            android:paddingLeft="20dp"
            android:paddingRight="20dp"
            android:text="退出登录"
            android:textColor="@color/text_primary"
            android:textSize="15sp" />

    </LinearLayout>

</ScrollView>